<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

session_start();
if (!isset($_SESSION['username']) || !isset($_SESSION['password'])) {
  header("Location: index.php");
  exit();
}

$config = $_SESSION['config'];
include 'functions.php';

?>

<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8">
    <title><?php echo $config->title ?> - IUT de Vélizy</title>
    <link rel="icon" type="image/x-icon" href="favicon.ico">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/apexcharts@latest/dist/apexcharts.min.css">
    <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>
</head>
  	<body>
		<nav>
		<?php nav($config)?>
		</nav>
		<h1>Bienvenue sur Notehub</h1>
		<div>Vous pouvez consulter vos notes et moyennes dans <a href="notes.php">notes</a></div>
		<footer><?php footer()?></footer>
  	</body>
	<script src="main.js"></script>
	<script>colormode(<?php echo $_SESSION['colormode']?>)</script>
</html>
